# Class AbstractIdentityRepositoryFactory

java.lang.Object
org.eclipse.jsch.core.AbstractIdentityRepositoryFactory

public abstract class AbstractIdentityRepositoryFactory extends Object
This class abstracts the communications with the identity repository, and will be mainly used for ssh-agent.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`AbstractIdentityRepositoryFactory()`

## Method Summary

Modifier and Type
Method
Description
`abstract com.jcraft.jsch.IdentityRepository`
`create()`
This method will return an instance of `com.jcraft.com.jsch.IdentityRepository`.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractIdentityRepositoryFactory

public AbstractIdentityRepositoryFactory()

## Method Details

### create

public abstract com.jcraft.jsch.IdentityRepository create()
This method will return an instance of `com.jcraft.com.jsch.IdentityRepository`. The ssh client will retrieve public keys from it, ask for signing data with a private key included in it.

Returns:
  an instance of `IdentityRepository`